name: novnc
version: 1.5.0
summary: Open Source VNC client using HTML5 (WebSockets, Canvas)
description: |
  Open Source VNC client using HTML5 (WebSockets, Canvas).
  noVNC is both a VNC client JavaScript library as well as an
  application built on top of that library. noVNC runs well in any
  modern browser including mobile browsers (iOS and Android).
architectures:
- amd64
base: core22
apps:
  novnc:
    command: ./novnc_proxy
    plugs:
    - network
    - network-bind
  novncsvc:
    command: ./svc_wrapper.sh
    daemon: forking
    plugs:
    - network
    - network-bind
confinement: strict
grade: stable
environment:
  LD_LIBRARY_PATH: ${SNAP_LIBRARY_PATH}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}:$SNAP/lib:$SNAP/usr/lib:$SNAP/usr/lib/x86_64-linux-gnu
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
hooks:
  configure:
    plugs:
    - network
    - network-bind
